Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1974710 - CVE-2021-34555 opendmarc: remote NULL pointer dereference may lead to a DoS [fedora-34]
Summary: CVE-2021-34555 opendmarc: remote NULL pointer dereference may lead to a DoS [...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opendmarc
Version: 34
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2021-34555
TreeView+ depends on / blocked
 
Reported: 2021-06-22 11:06 UTC by Marian Rehak
Modified: 2021-07-27 00:38 UTC (History)
2 users (show)

Fixed In Version: opendmarc-1.4.1.1-3.fc34 opendmarc-1.4.1.1-3.fc33 opendmarc-1.4.1.1-3.el8 opendmarc-1.4.1.1-3.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-20 01:06:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Marian Rehak 2021-06-22 11:06:42 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-34.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Marian Rehak 2021-06-22 11:06:47 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1974707,1974710

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Bojan Smojver 2021-07-07 10:42:35 UTC
Looks like there is a patch available for this:

https://github.com/trusteddomainproject/OpenDMARC/pull/178
https://github.com/trusteddomainproject/OpenDMARC/issues/179

Could we get a build for F34?

Comment 3 Fedora Update System 2021-07-11 17:06:21 UTC
FEDORA-2021-889af802f2 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-889af802f2

Comment 4 Fedora Update System 2021-07-11 17:06:22 UTC
FEDORA-EPEL-2021-ddb4fcb22a has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ddb4fcb22a

Comment 5 Bojan Smojver 2021-07-11 22:39:23 UTC
Thank you!

Comment 6 Fedora Update System 2021-07-12 00:23:36 UTC
FEDORA-EPEL-2021-8f073f9e87 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-8f073f9e87

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-07-12 00:30:20 UTC
FEDORA-2021-0c98725795 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-0c98725795`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-0c98725795

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-07-12 00:33:23 UTC
FEDORA-EPEL-2021-ddb4fcb22a has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-ddb4fcb22a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-07-12 00:37:21 UTC
FEDORA-2021-889af802f2 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-889af802f2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-889af802f2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-07-20 01:06:18 UTC
FEDORA-2021-889af802f2 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-07-20 01:09:37 UTC
FEDORA-2021-0c98725795 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-07-27 00:31:00 UTC
FEDORA-EPEL-2021-8f073f9e87 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2021-07-27 00:38:18 UTC
FEDORA-EPEL-2021-ddb4fcb22a has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.